Overview
GET
/usage/principal-tiers/{scope}/{principalId}usageGet principal_tiers by id
Fetch a record from principal-tiers by scope, principalId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- scopepathstring
- principalIdpathstring
Responses
200
principal_tiers
- scopestring
- principalIdstring
- tierIdstring
Example
{
"scope": "string",
"principalId": "string",
"tierId": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/usage/principal-tiers/{scope}/{principalId}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/usage/principal-tiers/{scope}/{principalId}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();